Loading...
Searching...
No Matches
etl::multi_span< T >::const_iterator Class Reference

Const Iterator. More...

`#include <multi_span.h>`

## Public Member Functions

ETL_CONSTEXPR14 | const_iterator (const const_iterator &other)
ETL_CONSTEXPR14 const_iterator & | operator= (const const_iterator &rhs)
ETL_CONSTEXPR14 | const_iterator (const etl::multi_span< T >::iterator &other)
ETL_CONSTEXPR14 const_iterator & | operator= (const etl::multi_span< T >::iterator &rhs)
ETL_CONSTEXPR14 const_iterator & | operator++ ()
ETL_CONSTEXPR14 const_iterator | operator++ (int)
ETL_CONSTEXPR14 const_iterator & | operator-- ()
ETL_CONSTEXPR14 const_iterator | operator-- (int)
ETL_CONSTEXPR14 const_reference | operator* () const
ETL_CONSTEXPR14 const_pointer | operator-> () const
| -> operator

## Friends

class | multi_span
ETL_CONSTEXPR14 friend bool | operator== (const const_iterator &lhs, const const_iterator &rhs)
| == operator
ETL_CONSTEXPR14 friend bool | operator!= (const const_iterator &lhs, const const_iterator &rhs)
| != operator

## Additional Inherited Members

Public Types inherited from etl::iterator< ETL_OR_STD::bidirectional_iterator_tag, const element_type >
typedef const element_type | value_type
typedef ptrdiff_t | difference_type
typedef const element_type * | pointer
typedef const element_type & | reference
typedef ETL_OR_STD::bidirectional_iterator_tag | iterator_category

## Detailed Description

template<typename T>
class etl::multi_span< T >::const_iterator

Const Iterator.

## Member Function Documentation

## operator*()

template<typename T>

ETL_CONSTEXPR14 const_reference etl::multi_span< T >::const_iterator::operator* | ( |  | ) | const

inline

- operator

The documentation for this class was generated from the following file:

- include/etl/multi_span.h